org.codehaus.plexus.component.composition

## Class CompositionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.composition.CompositionException

All Implemented Interfaces:
  Serializable

    public class CompositionException
    extends Exception

Version:
  $Id: CompositionException.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompositionException(String s)` Construct a new `CompositionException` instance.
`CompositionException(String message, Throwable throwable)` Construct a new `CompositionException` instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositionException

    public CompositionException(String s)

Construct a new `CompositionException` instance.

Parameters:
  `message` - The detail message for this exception.

#### CompositionException

    public CompositionException(String message,
                        Throwable throwable)

Construct a new `CompositionException` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception